function setup() {
  createCanvas(500, 500);
  background(255);
  fill(0, 0, 255);
  
  
}

function draw() {
  rect(25, 25, 25, 25);
}

/*
background(255);
  
  for (let x = 25; x < width; x = x + 50)
  {
    
    for (let y = 25; y < height; y = y + 50)
    {
      
      switch(key){
        case "1": 	
          herringBone(x,y,25);
        break;
        case "2": 
            ellipse(x,y,50,50);
        break;
        case "3": 
            rect(x - 25,y - 25,50, 50);
        break;
      }
      
      
    }
  }
  
}

function herringBone(xVal, yVal, unit) {
	stroke(0);
  stroke (random (255), random(255), random (255))
	strokeWeight(random (10));

	line(xVal, yVal, xVal - unit, yVal + unit);
	line(xVal, yVal, xVal + unit, yVal + unit);
	line(xVal, yVal - unit, xVal - unit, yVal);
	line(xVal, yVal - unit, xVal + unit, yVal);
	line(xVal, yVal - unit, xVal, yVal + unit);
	line(xVal + unit, yVal - unit, xVal + unit, yVal + unit);
} 

/*
function draw() {
  

  for (let x = 25; x < width; x = x + 50)
  {
    
    for (let y = 25; y < height; y = y + 50)
    {
      ellipse(x,y,50,50);
      fill (random (255), random (255), random (255));
      
      
    }
  }
}


function draw() {
  

  for (let x = 0; x < width; x = x + 50)
  {
    
    for (let y = 0; y < height; y = y + 50)
    {
      rect(x, y, 50, 50);
      fill (random (255), random (255), random (255));
      
    }
  }
}
*/